CrownPanel API Overview
CrownPanel's API allows you to manage your VPS programmatically - including actions like power control, hostname changes, snapshot management, and more.
- đ API Key: Retrieve your key from Account Settings
- đ Endpoint: All API requests must be made via the
POSTmethod to https://api.crownpanel.com
You can use the API with:
- PHP scripts
- CLI tools like
curl - Monitoring systems
- Custom control panels or dashboards
Ideal for automation, integration into management panels, or performing bulk operations across multiple VPS instances.
đ¸ Create VPS Snapshot
Use this API call to create a snapshot of your VPS.
đ Key(s) and variable(s) required for this call
The VPS must be in a shutdown state for snapshot creation to succeed. Once the snapshot is created, your VPS will automatically boot up.
Response examples
â
If YOUR_API_KEY, QUERY & YOUR_VMID parameters are valid, you would get the following output,
{"query_status":"Success","query":"snapshot_create","query_result":"Success, Task Added. Please wait for 5-10 minutes for it to complete."}
â If YOUR_API_KEY or QUERY or YOUR_VMID are invalid, you would get the following output,
{"query_status":"Error","query":"","query_result":""}
CURL Example
đ Other Language Examples
If you prefer to use another language or environment, here are examples for PHP, Python and Node.js:
PHP Example
Python Example
âī¸ Install (only once): Required to install necessary libraries before running the code.
Node.js Example
âī¸ Install (only once): Required to install necessary libraries before running the code.
đ Related API Calls
- đģ Shutdown VPS
- âšī¸ VPS Information
- đ VPS Task Log
- â Delete VPS Snapshot
- đŧī¸ VPS Snapshot List
Need help? Visit our Support Portal or use our live chat.

